.defaultlayout-wapper {
  width: 100%;
  height: 100vh;
  .sider-wapper {
    width: 100%;
  }
}

.sider-title {
  padding: 10px;
}
.sider-logo {
  padding: 5px;
  width: 100%;
  height: 40px;
  background-color: rgb(77 92 106);
  display: flex;
  justify-content: center;
  align-items: center;
}
.logo-img {
  width: 30px;
  height: 30px;
  background-color: rgb(77 92 106);
  border-radius: 50%;
}

.header {
  width: 100%;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: space-between;
}

#components-layout-demo-custom-trigger .trigger {
  padding: 0 24px;
  font-size: 18px;
  line-height: 64px;
  cursor: pointer;
  transition: color 0.3s;
}

#components-layout-demo-custom-trigger .trigger:hover {
  color: #1890ff;
}

#components-layout-demo-custom-trigger .logo {
  height: 32px;
  margin: 16px;
  background: rgba(255, 255, 255, 0.3);
}

.site-layout .site-layout-background {
  background: #fff;
}

//user
.logo-user {
  display: flex;
  align-items: center;
  position: relative;
  .user-settings {
    margin: 0 20px 0 40px;
    cursor: pointer;
    padding: 10px;
    i {
      font-size: 20px;
    }
    &:hover {
      transform: scale(1.1);
      opacity: 0.9;
      transition: all 0.2s linear;
    }
  }
  .user-settings-list {
    position: absolute;
    top: 70px;
    right: 0;
    display: flex;
    flex-direction: column;
    background-color: white;
    height: fit-content;
    width: 200px;
    z-index: 1;
    box-shadow: 2px 2px 4px grey;
    &:hover {
      li {
        background-color: rgb(223, 222, 222);
        cursor: pointer;
      }
    }
  }
}
.logo-bell {
  cursor: pointer;
  position: relative;
  display: flex;
  align-items: center;
  margin: 0 12px;
  .bell {
    margin-left: 15px;
    font-size: 22px;
  }
}

.logo-username {
  width: 30px;
  height: 30px;
  margin-left: 20px;
  border-radius: 50%;
}

.language-flag {
  width: 20px;
  height: 10px;
  object-fit: contain;
  margin-right: 4px;
}
.ant-select-item-option-content {
  display: flex;
  align-items: center;
}
